
#ifndef __CONF_H
#define __CONF_H

#define CONF_SCHEDTOOL_SHARENAMEMAXLEN	1024

#define CONF_SCHEDTOOL_OPMODE_PRINT	0
#define CONF_SCHEDTOOL_OPMODE_ALTER	1

#define CONF_SCHEDTOOL_DEFAULTSHARENAME	"0"
#define CONF_SCHEDTOOL_MINSHAREVAL	2
#define CONF_SCHEDTOOL_MINUSERSHAREVAL	12 /** do not allow simple users to nopreemtion-suicide **/
#define CONF_SCHEDTOOL_DEFAULTSHAREVAL	1024

struct conf_schedtool {
	char		sharename[CONF_SCHEDTOOL_SHARENAMEMAXLEN + 1];
	unsigned int	shareval;

	uid_t		userid;
	uid_t		effectiveuserid;

	int		current_shareval;

	unsigned char	opmode;
};

#define conf_schedtool_setdefault(a)	({									\
	memset(a, 0x0, sizeof(a));										\
	strcpy(a->sharename, CONF_SCHEDTOOL_DEFAULTSHARENAME);							\
	a->shareval = CONF_SCHEDTOOL_DEFAULTSHAREVAL;								\
														\
	a->userid=getuid();											\
	a->effectiveuserid=geteuid();										\
	sprintf(a->sharename, "%i", (int)a->userid); /* set userid as new default sharename */			\
														\
	a->current_shareval=-1;											\
														\
	a->opmode = CONF_SCHEDTOOL_OPMODE_PRINT;								\
})

#endif
